package com.jkcredit.invoice.model.entity.customer;
public class Customer {
    private int id;
    /**
     * etc收费费用
     */
    private long fee =5000;//todo 先写死
    private String customerName;

    private String invoiceTime;

    private Integer usenumAll;

    private Integer usenumInterface;

    private Integer usenumPlat;

    private Double accountBalance =0d;

    private Integer bussinessType;

    private Integer integrationType=0;

    private String firstSign;
    //0 -正常 1-停用
    private Integer accstatus;

    private String company;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getInvoiceTime() {
        return invoiceTime;
    }

    public void setInvoiceTime(String invoiceTime) {
        this.invoiceTime = invoiceTime;
    }

    public Integer getUsenumAll() {
        return usenumAll;
    }

    public void setUsenumAll(Integer usenumAll) {
        this.usenumAll = usenumAll;
    }

    public Integer getUsenumInterface() {
        return usenumInterface;
    }

    public void setUsenumInterface(Integer usenumInterface) {
        this.usenumInterface = usenumInterface;
    }

    public Integer getUsenumPlat() {
        return usenumPlat;
    }

    public void setUsenumPlat(Integer usenumPlat) {
        this.usenumPlat = usenumPlat;
    }

    public Double getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(Double accountBalance) {
        this.accountBalance = accountBalance;
    }

    public Integer getBussinessType() {
        return bussinessType;
    }

    public void setBussinessType(Integer bussinessType) {
        this.bussinessType = bussinessType;
    }

    public Integer getIntegrationType() {
        return integrationType;
    }

    public void setIntegrationType(Integer integrationType) {
        this.integrationType = integrationType;
    }

    public String getFirstSign() {
        return firstSign;
    }

    public void setFirstSign(String firstSign) {
        this.firstSign = firstSign == null ? null : firstSign.trim();
    }

    public Integer getAccstatus() {
        return accstatus;
    }

    public void setAccstatus(Integer accstatus) {
        this.accstatus = accstatus;
    }

    public String getCompany() {
        return company;
    }

    public long getFee() {
        return fee;
    }

    public void setFee(long fee) {
        this.fee = fee;
    }

    public void setCompany(String company) {
        this.company = company == null ? null : company.trim();
    }
}